Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.experiment
Class MeasuringSetup

    java.lang.Object
      de.grogra.gpuflux.scene.experiment.MeasuringSetup

    public class MeasuringSetup

extends java.lang.Object

Nested Class Summary
`class` | `MeasuringSetup.FluxDetector`
`static interface` | `MeasuringSetup.MeasurementAggregater<T>`

Field Summary
`static double` | `EPSILON`
`static int` | `MIN_MEASUREMENTS` Minimum total number of measurements used to represent all detectors.

Constructor Summary
`MeasuringSetup()`

Method Summary
`java.util.Vector<Measurement>` | `aggregateMeasurements(java.util.Vector<Measurement> measurements, double scale)`
`void` | `buildSetup(int min_measurements, FluxScene scene)`
`Measurement` | `createMeasurement()`
`java.util.Vector<MeasuringSetup.FluxDetector>` | `getDetectors()`
`int` | `getDimensions()`
`int` | `getNumMeasurement()`
`int` | `getNumMeasurementBits()`
`java.util.Vector<Measurement>` | `LoadMeasuredData(float[] data, double scale)`
`void` | `setDimensions(int measureDimensions)`
`int` | `shuffleMeasurement(int value, int bits)`
`int` | `unshuffleMeasurement(int value, int bits)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPSILON

    public static final double EPSILON

See Also:
  Constant Field Values

### MIN_MEASUREMENTS

    public static final int MIN_MEASUREMENTS

  Minimum total number of measurements used to represent all detectors.

  See Also:
    Constant Field Values

Constructor Detail

### MeasuringSetup

    public MeasuringSetup()

Method Detail

### aggregateMeasurements

    public java.util.Vector<Measurement> aggregateMeasurements(java.util.Vector<Measurement> measurements,
                                                               double scale)

### buildSetup

    public void buildSetup(int min_measurements,
                           FluxScene scene)

### createMeasurement

    public Measurement createMeasurement()

### getDetectors

    public java.util.Vector<MeasuringSetup.FluxDetector> getDetectors()

### getDimensions

    public int getDimensions()

### getNumMeasurement

    public int getNumMeasurement()

### getNumMeasurementBits

    public int getNumMeasurementBits()

### LoadMeasuredData

    public java.util.Vector<Measurement> LoadMeasuredData(float[] data,
                                                          double scale)

### setDimensions

    public void setDimensions(int measureDimensions)

### shuffleMeasurement

    public int shuffleMeasurement(int value,
                                  int bits)

### unshuffleMeasurement

    public int unshuffleMeasurement(int value,
                                    int bits)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD